Bug 479921 - Directory ownership problems
Summary: Directory ownership problems
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 478504
TreeView+ depends on / blocked
 
Reported: 2009-01-14 02:31 UTC by Christoph Wickert
Modified: 2018-04-11 14:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-29 23:12:25 UTC


Attachments (Terms of Use)
proposed patch (2.33 KB, patch)
2009-01-14 14:06 UTC, Matěj Cepl
no flags Details | Diff

Description Christoph Wickert 2009-01-14 02:31:07 UTC
Description of problem:
Currently the epiphany package does not provide nor own %{_libdir}/epiphany/%{version}/extensions. This leads to a lot of problems for packages that want to put something in there like gwget and gget. They need to at least own the extensions folder to make sure it is there and does not get unowned upon uninstall. Because the folder is versioned they also have to own %{_libdir}/epiphany/%{version}. This causes additional problems on epiphany upgrades. See bug # 478504 for more discussion.

So basically we need to
a) provide/own the extensions folder and 
b) get rid of the version.

Here is my suggestion, it is similar to what we are doing with Mozilla/Firefox plugins:

1. Add something like "Provides: epiphany(abi) = %{epimajor}", so the epiphany-extensions, gget and gwget can require epiphany(abi)

2. Make epiphany own
%{_libdir}/epiphany/
%{_libdir}/epiphany/plugins
%{_libdir}/epiphany/extensions
%{_libdir}/epiphany/%{version}
%{_libdir}/epiphany/%{version}/plugins -> %{_libdir}/epiphany/plugins
%{_libdir}/epiphany/%{version}/extensions -> %{_libdir}/epiphany/extensions

Thoughts, opinions, objections?

Comment 1 Matěj Cepl 2009-01-14 14:06:11 UTC
Created attachment 328993 [details]
proposed patch

Suggested patch to fix this. Built in koji as
http://koji.fedoraproject.org/koji/taskinfo?taskID=1052136

Comment 2 Matěj Cepl 2009-01-14 15:05:12 UTC
Build in Rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=1052223

Comment 3 Fedora Update System 2009-01-14 15:11:24 UTC
epiphany-2.24.2.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/epiphany-2.24.2.1-2.fc10

Comment 4 Christoph Wickert 2009-01-14 20:43:20 UTC
Matej, thanks for reacting so fast, but you fix does not work:

rpm -qpl epiphany-2.24.2.1-2.fc10.i386.rpm | grep lib
/usr/lib/epiphany
/usr/lib/epiphany/2.24
/usr/lib/epiphany/2.24.2.1
/usr/lib/epiphany/2.24.2.1/extensions
/usr/lib/epiphany/2.24.2.1/plugins
/usr/lib/epiphany/2.24/plugins
/usr/lib/epiphany/2.24/plugins/libdesktopfileplugin.so
/usr/lib/epiphany/extensions
/usr/lib/epiphany/plugins

As you can see now we have two plugin and extension folders. So we need to use something like:

...
%define gnome_doc_utils_ver 0.3.2
%define epi_major_ver 2.24

Summary: Web browser for GNOME
Name: epiphany
Version: 2.24.2.1
Release: 5%{?dist}
...
Provides: epiphany(abi) = %{epi_major_ver}    <--important for our packages

..

# directories for plugins and extensions
mkdir -p $RPM_BUILD_ROOT%{_libdir}/epiphany/%{epi_major_ver}/{plugins,extensions}
ln -sf %{epi_major_ver}/plugins $RPM_BUILD_ROOT%{_libdir}/epiphany/plugins
ln -sf %{epi_major_ver}/extensions $RPM_BUILD_ROOT%{_libdir}/epiphany/extensions

Comment 5 Fedora Update System 2009-01-15 02:54:20 UTC
epiphany-2.24.2.1-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update epiphany'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0395

Comment 6 Fedora Update System 2009-01-15 10:06:00 UTC
epiphany-2.24.2.1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/epiphany-2.24.2.1-3.fc10

Comment 7 Fedora Update System 2009-01-16 23:41:18 UTC
epiphany-2.24.2.1-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update epiphany'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0588

Comment 8 Fedora Update System 2009-01-29 23:12:22 UTC
epiphany-2.24.2.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.